Subject: Re: DOS filename vs POSIX filename
From: "Winbox X" <[email-masked]>
To: "Larry Hall (RFK Partners, Inc)" <[email-masked]>
Cc: "Winbox X" <[email-masked]>, "[email-masked]" <[email-masked]>
Date: Sun, 27 Aug 2000 04:30:39 -0700

unix_command c:\\usr\\src\\file.c work for bash, but I could
not include something like that in PATH because : is used to
separate different paths. Also in sh/make script, I have to use \ to
protect \. Once I have to use 8 \ in a row. :)
DJ in his email provided a net solution to this problem, as far
as your win32 applications accept POSIX path. Luckily this is
true for me.
Thanks,

-Mike

---- "Larry Hall (RFK Partners, Inc)" <[email-masked]> wrote:
> At 02:50 PM 8/24/2000, Winbox X wrote:
> 
> >Is there method to name a path so that both cygwin commands and my
> >old legacy win32 commands both understand? Right now I have to use
> >different path names for the same file, some like
> >unix_command /usr/src/file.c for bash
> >dos_command c:\\usr\\src\\file.c for dos
> >
> >thanks,
> >
> >-Mike
> >
> 
> 
> 
> cypath will convert between forms but why doesn't 
> "unix_command c:\\usr\\src\\file.c" work for you in bash?
> 
> 
> 
> Larry Hall                              [email-masked]
> RFK Partners, Inc.                      http://www.rfk.com
> 118 Washington Street                   (508) 893-9779 - RFK Office
> Holliston, MA 01746                     (508) 893-9889 - FAX
> 
> 
> 
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]
> 
> 

__________________________________________________
FREE voicemail, email, and fax...all in one place.
Sign Up Now! http://www.onebox.com

--
Want to unsubscribe from this list?
Send a message to [email-masked]